> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Member

> Use this endpoint to update a member.

Update an existing member. This is most commonly used to update a login and password credential.

<Warning>
  Do not use the `name` parameter unless instructed to do so by MX.
</Warning>

### Path Parameters

<ParamField path="member_guid" type="string">
  The GUID or external GUID of the member to update.
</ParamField>

### Query Parameters

<ParamField query="k" type="string" required>
  Your API key.
</ParamField>

<ParamField query="c" type="string" required>
  The client GUID or external client GUID.
</ParamField>

### Body Parameters

<ParamField body="credentials" type="array">
  A list of credential objects to update.

  <Expandable title="credentials">
    <ParamField body="field_name" type="string">
      The name of the credential field (e.g., `login`, `password`).
    </ParamField>

    <ParamField body="response" type="string">
      The value for the credential field.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="name" type="string">
  The name of the member. Only use if instructed by MX.
</ParamField>

<RequestExample>
  ```json Request theme={null}
  {
    "credentials": [
      {
        "field_name": "login",
        "response": "user789"
      },
      {
        "field_name": "password",
        "response": "pass789"
      }
    ]
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "guid": "MBR-01229f9a-fd17-a89a-bac8-157d8393caa2",
    "institution_guid": "INS-02e3f389-6e75-f60c-985a-3a9fe9759a69",
    "user_guid": "USR-07230561-1bf5-fe0c-ed17-c08888150334",
    "name": "Vertica Bank",
    "status": {
      "status": 1,
      "name": "ENABLED",
      "message": ""
    }
  }
  ```
</ResponseExample>
